Description

Problem

Redmine 3.3.2 in r16317 changed the behavior in backwards incompatible manner.

Before r16317 - after creating an issue, user was redirected to the issue that he created.

This was very useful because after working on a task with remote team members - you could CTRL+C/CTRL+V the link to other

people and they could login their hours.

After r16317 - we are redirected to parent task and Redmine so far does not provide to alter this behavior in Administrative section.

This breaks our workflow because we work on long tree structures and finding "last" task is very inconvenient.

Temporary workaround

I did manage to find temporary workaround by commenting back_url hidden form field when creating the issue but I had to modify the

source code - which I prefer not to do.

See: revert-redirect-to-parent-issue-after-adding-subtask-r16317.patch

Redmine version details

Environment:

  Redmine version                4.1.1.stable.19939

  Ruby version                   2.5.5-p157 (2019-03-15) [x86_64-linux-gnu]

  Rails version                  5.2.4.2

  Environment                    production

  Database adapter               Mysql2

  Mailer queue                   ActiveJob::QueueAdapters::AsyncAdapter

  Mailer delivery                sendmail

SCM:

  Subversion                     1.10.4

  Git                            2.20.1

  Filesystem                     

Redmine plugins:

  no plugin installed

Related issues:

Is duplicate of Redmine - Feature #29076: Add button to "Create and follow" w... Closed

History

#1 - 2021-01-25 00:17 - Marius BĂLTEANU

- Status changed from New to Closed

- Resolution set to Duplicate

Thanks Łukasz for reporting this issue. I'm closing this in favour of #29076, please watch that ticket for further updates.
#2 - 2021-01-25 00:17 - Marius BĂLTEANU

- Related to Feature #29076: Add button to "Create and follow" when adding a subtask from the parent issue added

#3 - 2021-01-25 00:17 - Marius BĂLTEANU

- Related to deleted (Feature #29076: Add button to "Create and follow" when adding a subtask from the parent issue)

#4 - 2021-01-25 00:17 - Marius BĂLTEANU

- Is duplicate of Feature #29076: Add button to "Create and follow" when adding a subtask from the parent issue added

#5 - 2021-01-25 00:27 - Marius BĂLTEANU

- File subtask_message.png added

Łukasz Zaremba wrote:

This breaks our workflow because we work on long tree structures and finding "last" task is very inconvenient.

 Another option is to copy the link or open the new subtask from the notification message that appears on the parent task after you've been redirected:

 subtask_message.png 

Anyway, I've proposed a solution to #29076.

Files

revert-redirect-to-parent-issue-after-adding-subtask-r16317.patch 690 Bytes 2021-01-14 Łukasz Zaremba

subtask_message.png 70 KB 2021-01-24 Marius BĂLTEANU
